const Sequelize = require('sequelize');
var db = require("../database/db.js");
const Permiso = require('./permiso.js');


const Tipo_Permiso = db.sequelize.define('TIPO_PERMISO', {


    ID_TIPO_PERMISO: {
        primaryKey: true,
        type: Sequelize.BIGINT,
        allowNull: false,
        autoIncrement: true
    },

    DETALLE_TIPO_PERMISO: {
        type: Sequelize.STRING,
        allowNull: false
    },

    ESTADO: {
        type: Sequelize.INTEGER,
        allowNull: false,
    },

   

},
    {
        timestamps: false,
        id: false
    })


    Tipo_Permiso.hasMany(Permiso, { foreignKey: 'ID_TIPO_PERMISO', sourceKey: 'ID_TIPO_PERMISO', as: 'TIPOS_PERMISO' });
    Permiso.belongsTo(Tipo_Permiso, { foreignKey: 'ID_TIPO_PERMISO', sourceKey: 'ID_TIPO_PERMISO' , as: 'TIPO_PERMISO'});
    
  

module.exports = Tipo_Permiso;